Update a server group
PUT
/v1/servergroup/{id}/
const url = 'https://example.com/v1/servergroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","default":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/servergroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "default": true }'Replace all fields of an existing server group.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this server group.
Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
account
required
string format: uuid
default
boolean
created_at
required
string format: date-time
created_by
required
string format: uuid
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
account
required
string format: uuid
default
boolean
created_at
required
string format: date-time
created_by
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
account
required
string format: uuid
default
boolean
created_at
required
string format: date-time
created_by
required
string format: uuid
Example
{ "default": true}